Back to top

Security Tips - Escalada de privilegios en Linux

Publicado por Alejandro Mengu... el 06-05-2022

Descripción

El pasado martes 26 de abril se revelaron un par de vulnerabilidades de escalada de privilegios en Linux. Los descubridores las han denominado conjuntamente como “Nimbuspwn” al poder usarse consecutivamente para obtener privilegios de root.

Microsoft nos facilita un informe donde se detallan las vulnerabilidades propuestas como CVE-2022-29799 y CVE-2022-29800.

La vulnerabilidad propuesta como CVE-2022-29799 está relacionada con una validación insuficiente de los permisos de acceso a archivos (directory traversal). 

La otra vulnerabilidad, CVE-2022-29800, describe la creación de enlaces simbólicos de forma insegura que permitirían el acceso a archivos protegidos (symlink race); combinada con fallos de verificación de estado (TOCTOU race). 

La combinación de ambas vulnerabilidades podrían permitir a un atacante que obtenga el control de un servicio D-Bus (usado por ejemplo en el GNOME y KDE) la creación de puertas traseras maliciosas en los equipos comprometidos.
 

Solución

Siempre se recomienda mantener actualizados todos los sistemas para mitigar las posibilidades de explotación de las vulnerabilidades. En este caso, es aconsejable que los usuarios de networkd-dispatcher actualicen sus instancias a la última versión.

 

Referencias

 

¿Necesitas más información?

En Basetis tenemos una amplia experiencia en la creación de entornos seguros para minimizar riesgos y posibles vulnerabilidades en tu organización. ¡No dudes en contactarnos!

Contacta con Basetis

+1
2


0 Comentarios

Todavía no hay comentarios, pero puedes añadir el tuyo!